package types

type Text struct {
	Text string `yaml:"text"`
	Id   string `yaml:"id"`
}

type Image struct {
	Id     string `yaml:"id"`
	Source string `yaml:"source"`
	Alt    string `yaml:"alt"`
	Title  string `yaml:"title"`
}

type Anchor struct {
	Id       string `yaml:"id"`
	Href     string `yaml:"href"`
	HrefLang string `yaml:"hreflang"`
	Title    string
}

type PageData struct {
	Lang    string            `yaml:"lang"`
	Title   string            `yaml:"title"`
	Meta    map[string]string `yaml:"meta"`
	Images  []Image           `yaml:"images"`
	Anchors []Anchor          `yaml:"anchors"`
	Text    []Text            `yaml:"text"`
}

func NewPageData() *PageData {
	pd := &PageData{}
	pd.Meta = make(map[string]string)
	return pd
}

type PageDataStorage map[string]*PageData

func NewPageDataStorage() PageDataStorage {
	var storage PageDataStorage
	storage = PageDataStorage{}
	return storage

}
